redhat 6.5 离线安装docker (rpm包安装)

以前离线安装docker 是在redhat 7.1 可以安装docker 1.8 但是突然接到命令,开发环境换为redhat6.5 立马崩溃,,,,,因为,docker1.8 在redhat6.5跑不起来。

docker1.8 要求内核3.10起,但是redhat7.1内核是”2.6.32-431.el6.x86_64”奔溃,又不能升级内核,还不能联网。。。怎么办呢?
只好去网上下了docker1.7的rpm包手动安装吧,经过多次实验发现,1. 所需包如下:

 lxc-libs-1.0.9-1.el6.x86_64.rpm
 lua-alt-getopt-0.7.0-1.el6.noarch.rpm
 lua-filesystem-1.4.2-1.el6.x86_64.rpm
 lua-lxc-1.0.9-1.el6.x86_64.rpm  
 lxc-1.0.9-1.el6.x86_64.rpm  
 docker-io-1.7.1-2.el6.x86_64.rpm

 device-mapper-libs-1.02.117-12.el6.i686.rpm
 device-mapper-libs-1.02.117-12.el6.x86_64.rpm 

好啦不要看了资源在这里下载:docker1.7.0 rpm包

直接安装device-mapper 的包会报依赖错误,解决方法就是不管他,直接忽略依赖安装。

  1. 所需执行命令如下:
rpm -ivh lxc-libs-1.0.9-1.el6.x86_64.rpm
rpm -ivh lua-alt-getopt-0.7.0-1.el6.noarch.rpm
rpm -ivh lua-filesystem-1.4.2-1.el6.x86_64.rpm
rpm -ivh lua-lxc-1.0.9-1.el6.x86_64.rpm  
rpm -ivh lxc-1.0.9-1.el6.x86_64.rpm  
rpm -ivh docker-io-1.7.1-2.el6.x86_64.rpm

rpm -ivh device-mapper-libs-1.02.117-12.el6.i686.rpm --force --nodeps
rpm -ivh device-mapper-libs-1.02.117-12.el6.x86_64.rpm --force --nodeps
  1. rpm 安装完毕 后启动docker
service docker start(用来生成cgroup隔离环境,好像不执行也可以。我没有测试,如果有朋友测试了麻烦给个评论。)
docker -d &
  1. 然后检查是否安装成功
docker ps
已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 深蓝海洋 设计师:CSDN官方博客 返回首页